package net.northking.cctp.executePlan.dto.planLink;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;

/**
 * <p>Title: AtuPlanEnvLinkDetailDto</p>
 * <p>Description: </p>
 *
 * @Author chenjianfeng
 * @Version V1.0
 * @Date 2023/08/30
 * <p>Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.</p>
 */
public class AtuPlanEnvLinkDetailDto implements Serializable {

    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 计划id<br>
     */
    @ApiModelProperty("计划id")
    @Size(max = 32, message="计划id-planId: 数据长度不能 > 32" )
    private String planId;
    /**
     * 环境id<br>
     */
    @ApiModelProperty("环境id")
    @Size(max = 32, message="环境id-envId: 数据长度不能 > 32" )
    private String envId;
    /**
     * 排序值<br>
     */
    @ApiModelProperty("排序值")
    private Integer sort;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getPlanId() {
        return planId;
    }

    public void setPlanId(String planId) {
        this.planId = planId;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }
}
